<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

switch($_GET['action']) {
  default:
  
  $title = 'Лаборатория';    
  
  include './system/h.php';

?>

<div class='title'><?=$title?></div>
 <div class='line'></div>
<div class='menu'>
  <li align='center'><img src='/images/town/lab2.png' alt='*'/></li>
  <li class='no_b' align='center'><font color='#90b0c0'>В лаборатории можно усилить своего персонажа</font></li>
</div>
 <div class='line'></div>
<div class='list'>
  <li><a href='/effshop/'><img src='/images/icon/equip.png' alt='*'/> Магазин эффектов</a><br/>
  <small><small>Усиление персонажа</small></small></li>
  <li><a href='/lab/alchemy/'><img src='/images/icon/alchemy.png' alt='*'/> Алхимия</a><br/>
  <small><small>Изготовление эликсиров</small></small></li>
  <li><a href='/lab/wiz/'><img src='/images/icon/wiz.png' alt='*'/> Колдун</a><br/>
  <small><small>Восстановление маны и здоровья</small></small></li>
  <li class='no_b'><a href='/lab/premium/'><img src='/images/icon/premium.png' alt='*'/> Благословение</a><br/>
  <small><small>Увеличение опыта и награды</small></small></li>

</div>
<?

include './system/f.php';

  break;
  case 'wiz':

$title = 'Колдун';

include './system/h.php';

if($_GET['potion'] == true) {
    
  if($user['g'] < 15) $errors[] = 'Ошибка, нехватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.(15 - $user['g']).' золота<div class=\'separator\'></div><a href=\'/trade/\' class=\'button\'>Купить</a>';

  if($errors) {

    echo '<div class=\'content\' align=\'center\'>';
    
    foreach($errors as $error) {
      
      echo $error.'<br/>';
      
    }
  
    echo '</div>
<div class=\'line\'></div>';

  }
  else
  {


    mysql_query('UPDATE `users` SET `g` = `g` - 15,
    
                                      `hp` = \''.($user['vit'] * 2).'\',
    
                                      `mp` = \''.$user['mana'].'\' WHERE `id` = \''.$user['id'].'\'');


    $referal = _string($_GET['referal']);
    
    if($referal) {
    
      header('location: '.$referal);

    }
    else
    {
    
      header('location: /lab/wiz/');
    
    }
  
  }

}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/wizard.png\' alt=\'*\'/>
</div>
<div class=\'line\'></div>
<div class=\'content\'>
  <table cellpadding=\'0\' cellspacing=\'0\'>
  <tr>
  <td><img src=\'/images/alchemy/potion.png\' alt=\'*\'/></td>
  <td valign=\'top\' style=\'padding-left: 5px;\'><b>Настойка бодрости</b><br/>
  <small><small>+100% маны и жизни</small></small></td>
  </tr></table>
  <div class=\'separator\'></div>
  <div align=\'center\'>
    <a href=\'/lab/wiz/?potion=true\' class=\'button\'>Купить</a><br/><br/>
    <font color=\'#909090\'>Цена: <img src=\'/images/icon/g.png\' alt=\'*\'/> 15 золота</font>
  </div>
</div>';

include './system/f.php';
       break;
  case 'premium':

$title = 'Благославение';

include './system/h.php';

if($_GET['buy'] == true) {
  
  if($premium) $errors[] = 'Ошибка, вы уже активировали благославение';
  
  if($user['g'] < 500) $errors[] = 'Ошибка, нехватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.(500 - $user['g']).' золота<div class=\'separator\'></div><a href=\'/trade/\' class=\'button\'>Купить</a>';
  
  if($errors) {
    
    echo '<div class=\'content\' align=\'center\'>';
    
    foreach($errors as $error) {
      
      echo $error.'<br/>';
      
    }
  
    echo '</div>
<div class=\'line\'></div>';
  
  }
  else
  {

    mysql_query('UPDATE `users` SET `g` = `g` - 500 WHERE `id` = \''.$user['id'].'\'');
      
    mysql_query('INSERT INTO `premium` (`user`,
                                        `time`) VALUES ("'.$user['id'].'",
                                            "'.(time() + (86400 * 14)).'")');   

    mysql_query('UPDATE `users` SET `str` = `str` + 200,
                                    `vit` = `vit` + 200,
                                    `agi` = `agi` + 200,
                                    `def` = `def` + 200 WHERE `id` = \''.$user['id'].'\'');

    header('location: /lab/premium/');
  
  }

}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/prem-'.($premium ? 'on':'off').'.png\' alt=\'*\'/></li>
</div>
<div class=\'line\'></div>
<div class=\'menu\'>
  <li align=\'center\'><font color=\'#90c090\'>+200</font> ко всем параметрам<br/>
  <font color=\'#90c090\'>+25%</font> к опыту<br/>
  Время поиска и добычи ресурсов на <font color=\'#90c090\'>10%</font> меньше
  </li>
  <li class=\'no_b\' align=\'center\'> '.($premium ? 'Осталось: '._time($premium['time'] - time()):'<a href=\'/lab/premium/?buy=true\' class=\'button\'>Купить</a><br/><br/>
  <font color=\'#909090\'>Цена: <img src=\'/images/icon/g.png\' alt=\'*\'/> 500 золота</font>').'</li>
</div>';

include './system/f.php';
       break;
	   
  case 'alchemy':

if($user['level']<5){
$title = 'Эликсир силы';

include './system/h.php';

echo'<div class=\'line\'></div>
<div class=\'content block_zero\' align=\'center\'>
Для доступа в <img src=\'/images/icon/alchemy.png\' alt=\'\'/> Алхимию требуется <img src=\'/images/icon/level.png\' alt=\'\'/> 5 уровень персонажа<br/>
Ваш уровень: <img src=\'/images/icon/level.png\' alt=\'\'/> '.$user['level'].'<hr/>
Уровень можно прокачать на <img src=\'/images/icon/arena.png\' alt=\'\'/> Арене<br/>
<a class=\'btn\' href=\'/arena\'><span class=\'end\'><span class=\'label\'> Перейти на арену</span></span></a>
</div>';


}else{


switch($_GET['do']) {


case '1':
$title = 'Эликсир силы';

include './system/h.php';



$sack = mysql_query('SELECT * FROM `sack` WHERE `user` = "'.$user['id'].'"');      
$sack = mysql_fetch_array($sack);

if(!$sack) {

  mysql_query('INSERT INTO `sack` (`user`) VALUES ("'.$user['id'].'")');

}

if($user['s']<2000){
$s=intval((2000-$user['s'])/500);
$ms=intval(2000-(intval(2000-$user['s'])));
}else{
$s=0;
$ms=2000;
}
if($sack['6']<10){
$a=intval((10-$sack['6'])*2);
$ma=intval(10-(intval(10-$sack['6'])));
}else{
$a=0;
$ma=10;
}

$d=intval($s+$a);
$m=intval(10+$d);

$rand=rand(12312344,96783463);

$r1=rand(1,10);

if($r1>=2 && $r1<=9){
setCookie('r', $rand, time() + 600, '/');
}else{
setCookie('r', rand(12352344,96083463), time() + 600, '/');
}

if($_GET['r'] == true) {


if($user['g']<$m){
header('location: /lab/alchemy/1/money');
}elseif($_COOKIE['r']==$_GET['r']){
mysql_query('UPDATE `users` SET `g` = `g` - "'.$m.'", `s` = `s` - "'.$ms.'" , `es` = `es` + 1 WHERE `id` = \''.$user['id'].'\'');
mysql_query('UPDATE `sack` SET `6` = `6` - "'.$ma.'" WHERE `user` = \''.$user['id'].'\'');
header('location: /lab/alchemy/1/success');
}else{
mysql_query('UPDATE `users` SET `g` = `g` - "'.$m.'", `s` = `s` - "'.$ms.'" WHERE `id` = \''.$user['id'].'\'');
mysql_query('UPDATE `sack` SET `6` = `6` - "'.$ma.'" WHERE `user` = \''.$user['id'].'\'');
header('location: /lab/alchemy/1/nothing');
}
}
echo'


'.($_GET['ok'] == 'nothing'?'<div class=\'line\'></div>
<div class=\'content block_zero\' align=\'center\'>
<font color=\'red\' >Не повезло</font><br/>
Не получилось изготовить эликсир
</div>':null).'

'.($_GET['ok'] == 'money'?'<div class=\'line\'></div>
<div class=\'content block_zero\' align=\'center\'>
<font color=\'red\' >Нужно больше золота!</font><br/>
<font color=\'#999999\' ><img src=\'/images/icon/gold.png\' alt=\'\'/>'.intval($m-$user['g']).' золота</font>
</div>':null).'


'.($_GET['ok'] == 'success'?'<div class=\'line\'></div>
<div class=\'content block_zero\' align=\'center\'>
<font color=\'#009900\' >Удача!</font><br/>
Эликсир добавлен в вашу сумку!
</div>':null).'

<div class=\'line\'></div>
<div class=\'content block_zero\'>

<img src=\'/images/town/default.png\' alt=\'\' width=\'50\' height=\'50\' style=\'float:left;margin-right:3px;margin-top:3px;\'/>
<font color=\'#F90\'  style=\'font-size: 14px;\'>Эликсир силы</font><br/>

Бонус: <font color=\'#90c090\'>+100 к силе</font><br/>




<br/>
</div>
<div class=\'line\'></div>
<div class=\'content block_zero\'>
<center>

'.($user['g']>=$m?'
<a class=\'btn\' href=\'/lab/alchemy/1/makePotion/r='.$rand.'\'><span class=\'end\'><span class=\'label\'><img src=\'/images/icon/alchemy.png\' alt=\'\'/> Изготовить</span></span></a>

'.($d>0?'<br/><font color=\'#999999\' >Доплата: <img src=\'/images/icon/gold.png\' alt=\'\'/>'.$d.' золота</font>':null).'

':'<font color=\'red\' >Не хватает <img src=\'/images/icon/gold.png\' alt=\'\'/>'.intval($m-$user['g']).' золота!</font>').'
</center><br/>

Цена изготовления эликсира:<br/>
<img src=\'/images/icon/6.png\' alt=\'*\'/> Амброзия, 10 шт. - '.($sack['6']>=10?'<font color=\'#90c090\' >Есть!</font>':'<font color=\'red\' >Не хватает '.intval(10-$sack['6']).'!</font>').'<br/>
<img src=\'/images/icon/silver.png\' alt=\'*\'/> Серебро, 2000 шт. - '.($user['s']>=2000?'<font color=\'#90c090\' >Есть!</font>':'<font color=\'red\' >Не хватает '.intval(2000-$user['s']).'!</font>').'<br/>
<img src=\'/images/icon/gold.png\' alt=\'*\'/> Золото, 10 шт. - '.($user['g']>=10?'<font color=\'#90c090\' >Есть!</font>':'<font color=\'red\' >Не хватает '.intval(10-$user['g']).'!</font>').'<br/>
</div>
<div class=\'line\'></div>
<div class=\'menu content\'>

<ul class=\'hint\'><li>Ресурсы для алхимии можно добыть в пещере</li></ul>

</div>';

break;

  default:
  
$title = 'Алхимия';

include './system/h.php';  
  
echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/lab.png\' alt=\'*\'/>
</div>
<div class=\'line\'></div>

<div class=\'content block_zero blue\' align=\'center\'>Каждый эликсир даёт бонус к определённому параметру</div>

<div class=\'line\'></div>
<div class=\'content block_zero\'>

<b>Выберите эликсир:</b><br/><br/>
<img src=\'/images/town/default.png\' alt=\'\' width=\'50\' height=\'50\' style=\'float:left;margin-right:3px;margin-top:3px;\'/>
<font color=\'#F90\'  style=\'font-size: 14px;\'>Эликсир силы</font><br/>

Бонус: <font color=\'#90c090\' >+100 к силе</font><br/>


<a href=\'/lab/alchemy/1/\' class=\'button\'>Выбрать</a><br/>

<br/>
</div>



<div class=\'line\'></div>
<div class=\'menu content\'>
 <li align=\'center\'>
<ul class=\'hint\'><li>Эликсиры дают бафы усиливающие персонажа</li><li>Осторожно! Шанс производства эликсира – 80%</li><li>Ресурсы для алхимии можно добыть в пещере</li></ul>

</div>


';
break;
}
}
include './system/f.php';
       break;	   
	   

}

?>